### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/ecl-site-header-standardised/login/ecl-site-header-standardised-login.component.ts`

### Extends

`EclSiteHeaderLoginComponent`

### Implements

`OnChanges`

### Metadata

selector | `ecl-site-header-standardised-login`
styles | `.ecl-site-header-standardised__login-toggle .ecl-site-header-standardised__login-arrow { display: inline-flex; }`
templateUrl | `./ecl-site-header-standardised-login.component.html`

### Index

###### Properties

- class
- Public isLoginBoxActive

###### Methods

- getLoginBoxCssClasses
- onLoginBoxToggle
- onLoginClick
- getCssClasses

###### Inputs

- isLoggedIn
- class
- e2eAttr

###### Outputs

- login
- loginBoxToggle

###### HostBindings

- class

### Inputs

isLoggedIn
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

login
Type : `EventEmitter`

loginBoxToggle
Type : `EventEmitter`

### HostBindings

class
Type : `string`
Default value : `'ecl-site-header-standardised__login-container'`

### Methods

getLoginBoxCssClasses
`getLoginBoxCssClasses()`
Returns : `string`

onLoginBoxToggle
`onLoginBoxToggle(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onLoginClick
`onLoginClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

class
Type : `string`
Default value : `'ecl-site-header-standardised__login-container'`
Decorators : `@HostBinding('class')`

Public isLoginBoxActive
Type : `boolean`
Default value : `false`

# results matching ""

# No results matching ""